/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\demitel\MirageDesert\BlackJackal.cs
Lines of code: 86
***********************************************************/


using System;
using System.Collections;
using Server.Items;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "a jackal corpse" )]
	public class BlackJackal : BaseCreature
	{
		[Constructable]
		public BlackJackal() : base( AIType.AI_Super, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "a black jackal";
			Body = 225;
			BaseSoundID = 229;

			switch (Utility.Random(2))
			{
			case 0: Hue = 1107;break;
			case 1: Hue = 1109;break;
			case 2: Hue = 2406;break;
			}

			SetStr( 1000, 1200 );
			SetDex( 125, 300 );
			SetInt( 300, 480 );

			Mana = 400;

			SkillsCap = 800;
			Skills[SkillName.SpiritSpeak].Cap=200;
			Skills[SkillName.Meditation].Cap=200;

			SetHits( 1200, 1400 );

			SetDamage( 11, 27 );

			SetDamageType( ResistanceType.Physical, 60 );
			SetDamageType( ResistanceType.Fire, 25 );
			SetDamageType( ResistanceType.Cold, 15 );

			SetResistance( ResistanceType.Physical, 45, 55 );
			SetResistance( ResistanceType.Fire, 40, 60 );
			SetResistance( ResistanceType.Cold, 20, 40 );
			SetResistance( ResistanceType.Poison, 40, 70 );
			SetResistance( ResistanceType.Energy, 80, 90 );

			SetSkill( SkillName.Tactics, 100 );
			SetSkill( SkillName.Wrestling, 70, 90 );
			SetSkill( SkillName.Necromancy, 70, 100 );
			SetSkill( SkillName.SpiritSpeak, 70, 90 );
			SetSkill( SkillName.Meditation, 200 );

			OrnamentOfTheMagician brace = new OrnamentOfTheMagician();
			brace.Movable = false;	
			AddItem(brace);

			ActiveSpeed = 0.11;
			CurrentSpeed = 0.11;
			PassiveSpeed = 0.11;

			Fame = 15000;
			Karma = -15000;

			VirtualArmor = 70;

			Tamable = true;
			ControlSlots = 4;
			MinTameSkill = 115.5;

			PackItem( new Bone( 5 ) );
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.FilthyRich, 3 );
		}

		public override int Meat{ get{ return 2; } }
		public override bool ReacquireOnMovement{ get{ return true; } }
		public override FoodType FavoriteFood{ get{ return FoodType.Meat; } }
		public override HideType HideType{ get{ return HideType.Barbed; } }
		public override int Hides{ get{ return 12; } }
		public override int Scales{ get{ return 8; } }
		public override bool StatLossAfterTame{ get{ return true; } }
		public override ScaleType ScaleType{ get{ return ScaleType.Black; } }
		public override bool CanAngerOnTame { get { return true; } }
		public override PackInstinct PackInstinct{ get{ return PackInstinct.Canine; } }

		public BlackJackal( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}